Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface EventTarget

All Known Implementing Classes:
  XMLDocument, XMLNode

public interface EventTarget

The `EventTarget` interface is implemented by all `Nodes` in an implementation which supports the DOM Event Model. Therefore, this interface can be obtained by using binding-specific casting methods on an instance of the `Node` interface. The interface allows registration and removal of `EventListeners` on an `EventTarget` and dispatch of events to that `EventTarget`.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  DOM Level 2

Method Summary
`void` | `addEventListener(java.lang.String type, EventListener listener, boolean useCapture)` This method allows the registration of event listeners on the event target.
`boolean` | `dispatchEvent(Event evt)` This method allows the dispatch of events into the implementations event model.
`void` | `removeEventListener(java.lang.String type, EventListener listener, boolean useCapture)` This method allows the removal of event listeners from the event target.

Method Detail

### addEventListener

    public void addEventListener(java.lang.String type,
                                 EventListener listener,
                                 boolean useCapture)

  This method allows the registration of event listeners on the event target. If an `EventListener` is added to an `EventTarget` while it is processing an event, it will not be triggered by the current actions but may be triggered during a later stage of event flow, such as the bubbling phase.
  If multiple identical `EventListener`s are registered on the same `EventTarget` with the same parameters the duplicate instances are discarded. They do not cause the `EventListener` to be called twice and since they are discarded they do not need to be removed with the `removeEventListener` method.

### removeEventListener

    public void removeEventListener(java.lang.String type,
                                    EventListener listener,
                                    boolean useCapture)

  This method allows the removal of event listeners from the event target. If an `EventListener` is removed from an `EventTarget` while it is processing an event, it will not be triggered by the current actions. `EventListener`s can never be invoked after being removed.
  Calling `removeEventListener` with arguments which do not identify any currently registered `EventListener` on the `EventTarget` has no effect.

### dispatchEvent

    public boolean dispatchEvent(Event evt)
                          throws EventException

  This method allows the dispatch of events into the implementations event model. Events dispatched in this manner will have the same capturing and bubbling behavior as events dispatched directly by the implementation. The target of the event is the `EventTarget` on which `dispatchEvent` is called.
  Returns:
    The return value of `dispatchEvent` indicates whether any of the listeners which handled the event called `preventDefault`. If `preventDefault` was called the value is false, else the value is true.
  Throws:
    `EventException` - UNSPECIFIED_EVENT_TYPE_ERR: Raised if the `Event`'s type was not specified by initializing the event before `dispatchEvent` was called. Specification of the `Event`'s type as `null` or an empty string will also trigger this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved.